package com.ruoyi.sim.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 部门附加对象 sim_add_on_dept
 *
 * @author tom
 * @date 2024-12-13
 */
public class AddOnDept extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 班级ID/部门ID
     */
    private Long deptId;

    /**
     * 专业ID
     */
    @Excel(name = "专业ID")
    private Long majorId;

    public void setDeptId(Long deptId) {
        this.deptId = deptId;
    }

    public Long getDeptId() {
        return deptId;
    }

    public void setMajorId(Long majorId) {
        this.majorId = majorId;
    }

    public Long getMajorId() {
        return majorId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("deptId", getDeptId())
                .append("majorId", getMajorId())
                .toString();
    }
}
